PETSc version 3.15.5
Fix/Edit manual page

# MatDestroyMatrices

Destroys an array of matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroyMatrices(PetscInt n,Mat *mat[])

Collective on Mat

### Input Parameters

| n | - the number of local matrices
| mat | - the matrices (note that this is a pointer to the array of matrices)

### Notes

Frees not only the matrices, but also the array that contains the matrices In Fortran will not free the array.

### See Also

MatCreateSubMatrices() MatDestroySubMatrices()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages